zenilib: Cocoa_WindowListener Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Types | Instance Methods | Protected Attributes | List of all members
Cocoa_WindowListener Class Reference

`#import <SDL_cocoawindow.h>`

Inherits NSResponder, and <NSWindowDelegate>.

## Public Types

enum | cocoaTouchType { COCOA_TOUCH_DOWN, COCOA_TOUCH_UP, COCOA_TOUCH_MOVE, COCOA_TOUCH_CANCELLED }

## Instance Methods

(void) | - close
(void) | - handleTouches:withEvent:
(void) | - listen:
(void) | - mouseDown:
(void) | - mouseDragged:
(void) | - mouseMoved:
(void) | - mouseUp:
(void) | - otherMouseDown:
(void) | - otherMouseDragged:
(void) | - otherMouseUp:
(void) | - pauseVisibleObservation
(void) | - resumeVisibleObservation
(void) | - rightMouseDown:
(void) | - rightMouseDragged:
(void) | - rightMouseUp:
(void) | - scrollWheel:
(void) | - touchesBeganWithEvent:
(void) | - touchesCancelledWithEvent:
(void) | - touchesEndedWithEvent:
(void) | - touchesMovedWithEvent:
(void) | - windowDidBecomeKey:
(void) | - windowDidDeminiaturize:
(void) | - windowDidExpose:
(void) | - windowDidMiniaturize:
(void) | - windowDidMove:
(void) | - windowDidResignKey:
(void) | - windowDidResize:
(BOOL) | - windowShouldClose:

## Protected Attributes

SDL_WindowData * | _data
BOOL | observingVisible
BOOL | wasCtrlLeft
BOOL | wasVisible

## Detailed Description

Definition at line 30 of file SDL_cocoawindow.h.

## Member Enumeration Documentation

- (enum) cocoaTouchType

Enumerator
COCOA_TOUCH_DOWN |
COCOA_TOUCH_UP |
COCOA_TOUCH_MOVE |
COCOA_TOUCH_CANCELLED |

Definition at line 70 of file SDL_cocoawindow.h.

## Method Documentation

- (void) close |  |  |

- (void) handleTouches: |  | (cocoaTouchType) | type
withEvent: |  | (NSEvent *) | event

- (void) listen: |  | (SDL_WindowData *) | data |

- (void) mouseDown: |  | (NSEvent *) | theEvent |

- (void) mouseDragged: |  | (NSEvent *) | theEvent |

- (void) mouseMoved: |  | (NSEvent *) | theEvent |

- (void) mouseUp: |  | (NSEvent *) | theEvent |

- (void) otherMouseDown: |  | (NSEvent *) | theEvent |

- (void) otherMouseDragged: |  | (NSEvent *) | theEvent |

- (void) otherMouseUp: |  | (NSEvent *) | theEvent |

- (void) pauseVisibleObservation |  |  |

- (void) resumeVisibleObservation |  |  |

- (void) rightMouseDown: |  | (NSEvent *) | theEvent |

- (void) rightMouseDragged: |  | (NSEvent *) | theEvent |

- (void) rightMouseUp: |  | (NSEvent *) | theEvent |

- (void) scrollWheel: |  | (NSEvent *) | theEvent |

- (void) touchesBeganWithEvent: |  | (NSEvent *) | theEvent |

- (void) touchesCancelledWithEvent: |  | (NSEvent *) | theEvent |

- (void) touchesEndedWithEvent: |  | (NSEvent *) | theEvent |

- (void) touchesMovedWithEvent: |  | (NSEvent *) | theEvent |

- (void) windowDidBecomeKey: |  | (NSNotification *) | aNotification |

- (void) windowDidDeminiaturize: |  | (NSNotification *) | aNotification |

- (void) windowDidExpose: |  | (NSNotification *) | aNotification |

- (void) windowDidMiniaturize: |  | (NSNotification *) | aNotification |

- (void) windowDidMove: |  | (NSNotification *) | aNotification |

- (void) windowDidResignKey: |  | (NSNotification *) | aNotification |

- (void) windowDidResize: |  | (NSNotification *) | aNotification |

- (BOOL) windowShouldClose: |  | (id) | sender |

## Member Data Documentation

- (SDL_WindowData*) _data

protected

Definition at line 31 of file SDL_cocoawindow.h.

- (BOOL) observingVisible

protected

Definition at line 32 of file SDL_cocoawindow.h.

- (BOOL) wasCtrlLeft

protected

Definition at line 33 of file SDL_cocoawindow.h.

- (BOOL) wasVisible

protected

Definition at line 34 of file SDL_cocoawindow.h.

The documentation for this class was generated from the following file:

- zenilib/jni/external/sdl/src/video/cocoa/SDL_cocoawindow.h